//
//  AppUIDefine.h
//  LuoJiGouApp
//
//  Created by mac on 2023/5/11.
//

#ifndef AppUIDefine_h
#define AppUIDefine_h

#ifdef DEBUG
#define XDLog(s, ... ) NSLog( @"[%@ in line %d] => %@", [[NSString stringWithUTF8String:__FILE__] lastPathComponent], __LINE__, [NSString stringWithFormat:(s), ##__VA_ARGS__] )
#else
#define XDLog(s, ... )
#endif

#define xMainWindow ([UIApplication sharedApplication].delegate.window ?: [UIApplication sharedApplication].windows.firstObject)

#define xiPhoneX ({\
int cFlag = 0;\
if(ZXIsIPad){cFlag = 0;}\
else if(@available(iOS 11.0, *)){\
if(xMainWindow.safeAreaInsets.bottom > 0){\
cFlag = 1;\
}else{\
cFlag = 0;\
}\
}else{\
cFlag = 0;\
}\
cFlag;\
})


#define xIsIpad [[UIDevice currentDevice].model isEqualToString:@"iPad"]

#define ScreenWidth [UIScreen mainScreen].bounds.size.width
#define ScreenHeight [UIScreen mainScreen].bounds.size.height

#define IPADHEIGHT(a) [UIScreen mainScreen].bounds.size.height*((a) / 768.0)
#define IPADWIDTH(a) [UIScreen mainScreen].bounds.size.width*((a) / 1024.0)

#define DeviceScaleW(a) (isIpad ? IPADWIDTH(a) : [NSObject IPHONEWIDTH:a])
#define DeviceScaleH(a) (isIpad ? IPADHEIGHT(a) : [NSObject IPHONEHEIGHT:a])

/// 竖屏
#define PScreenDeviceScaleW(a) [UIScreen mainScreen].bounds.size.width*((a) / (xIsIpad ? 512 : 375.0))
#define PScreenDeviceScaleH(a) [UIScreen mainScreen].bounds.size.height*((a) / (xIsIpad ? 683 : (xiPhoneX ? 812.0 : 667.0)))


#define AdaptedFontSize(fontSize) [UIFont systemFontOfSize:AdaptedWidth(fontSize)]
#define AdaptedWidth(x) x * [UIScreen mainScreen].bounds.size.width / (xIsIpad ? 768.0 : 375.0f)
#define AdaptedHeight(x) ceil((x) * [UIScreen mainScreen].bounds.size.height / (xIsIpad ? 1024.0 : (xiPhoneX ? 812.0 : 667.0)))

// 状态栏高度
#define StatusBarHeight [UIApplication sharedApplication].windows.firstObject.windowScene.statusBarManager.statusBarFrame.size.height

//不包括状态栏导航栏高度
#define XNavBarHeightNotIncludeStatusBar (xIsIpad ? 50 : 44)

// 底部安全距离
#define SafeAreaBottomHeight kMainWindow.safeAreaInsets.bottom
//#define SafeAreaBottomHeight   (iPhoneX ? 34.f : 0.f)
// 顶部导航栏高度
#define xNavigationBarHeight   (StatusBarHeight + XNavBarHeightNotIncludeStatusBar)

/**
 获取安全区域顶部高度
 
 @return 安全区域顶部高度
 */
#define XSafeAreaTop ({\
int height = 0;\
if (@available(iOS 11.0, *)) {\
height = kMainWindow.safeAreaInsets.top;\
}else{\
height = 0;\
}\
height;\
})

/**
 获取安全区域底部高度
 
 @return 安全区域底部高度
 */
#define XSafeAreaBottom ({\
int height = 0;\
if (@available(iOS 11.0, *)) {\
height = xMainWindow.safeAreaInsets.bottom;\
}else{\
height = 0;\
}\
height;\
})


// Tabbar高度
#define TabbarHeight           (XSafeAreaBottom + 49.f)

// 去除上下导航栏剩余中间视图高度
#define XContentHeight       (ScreenHeight - xNavigationBarHeight - TabbarHeight)

#endif /* AppUIDefine_h */
